regina::SFSFibre Struct Reference
Standard 3-Manifolds

Represents an exceptional (alpha, beta) fibre in a Seifert fibred space. More...

`#include <manifold/sfs.h>`

## Public Member Functions

| SFSFibre ()
| Creates a new uninitialised exceptional fibre. More...
| SFSFibre (long newAlpha, long newBeta)
| Creates a new exceptional fibre with the given parameters. More...
| SFSFibre (const SFSFibre &cloneMe)
| Creates a new exceptional fibre that is a clone of the given fibre. More...
void | operator= (const SFSFibre &cloneMe)
| Makes this exceptional fibre a clone of the given fibre. More...
bool | operator== (const SFSFibre &compare) const
| Determines if this and the given exceptional fibre are identical. More...
bool | operator!= (const SFSFibre &compare) const
| Determines if this and the given exceptional fibre are different. More...
bool | operator< (const SFSFibre &compare) const
| Determines if this exceptional fibre is smaller than the given fibre. More...

## Public Attributes

long | alpha
| The first parameter of this (alpha, beta) fibre. More...
long | beta
| The second parameter of this (alpha, beta) fibre. More...

## Detailed Description

Represents an exceptional (alpha, beta) fibre in a Seifert fibred space.

The first parameter alpha must be strictly positive, and the two parameters alpha and beta must be coprime.

Note that we allow regular fibres with alpha = 1, and we do not impose range limits on beta (thus beta may be negative, or it may be larger than alpha). This is to allow more flexibility in routines such as SFSpace::insertFibre().

Warning
  In Regina 4.2.1 and earlier, this class was named NExceptionalFibre. The new SFSFibre class was introduced with Regina 4.3, and has changed its behaviour (in particular, the natural ordering of fibres has changed). Code that was written to work with the old NExceptionalFibre class should be looked at closely before being adapted to the new SFSFibre class (i.e., it may require more than just substituting class names).

The documentation for this struct was generated from the following file:

- manifold/sfs.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).